Changes between Initial Version and Version 1 of Ticket #1370


Ignore:
Timestamp:
Aug 30, 2014 2:44:04 PM (7 years ago)
Author:
zzz
Comment:

This is a streaming bug with long signing key types (P521 and RSA). Your logs were caused by my testing. I wasn't explicitly testing with your server, but my router tried to fetch news.xml.

This was fixed in 0.9.14.1-11 49fc1472183daee34eb217b8db82bf80496926d4

Thanks for the report and sorry for my testing causing errors in your logs.

Legend:

Unmodified
Added
Removed
Modified
  • Ticket #1370

    • Property Status changed from new to closed
    • Property Resolution changed from to fixed
    • Property Component changed from apps/i2ptunnel to streaming
  • Ticket #1370 – Description

    initial v1  
    1717     at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)
    1818     at java.lang.Thread.run(Thread.java:745)
    19 8/28/14 12:07:40 AM ERROR [43.92.136:85] .i2ptunnel.I2PTunnelHTTPServer: Uncaught exception accepting
     198/28/14 12:07:40 AM ERROR [xxx] .i2ptunnel.I2PTunnelHTTPServer: Uncaught exception accepting
    2020     java.lang.ArrayIndexOutOfBoundsException
    2121     at net.i2p.client.streaming.impl.Packet.writePacket(Packet.java:484)
     
    3131     at java.lang.Thread.run(Thread.java:745)
    3232     at net.i2p.util.I2PThread.run(I2PThread.java:84)
    33 8/28/14 12:07:40 AM ERROR [43.92.136:85] p.client.streaming.impl.Packet: payload.length: 396 buffer.length: 1197 cur: 929
     338/28/14 12:07:40 AM ERROR [xxx] p.client.streaming.impl.Packet: payload.length: 396 buffer.length: 1197 cur: 929
    3434     java.lang.ArrayIndexOutOfBoundsException
    3535     at net.i2p.client.streaming.impl.Packet.writePacket(Packet.java:484)
     
    4545     at java.lang.Thread.run(Thread.java:745)
    4646     at net.i2p.util.I2PThread.run(I2PThread.java:84)
    47 8/28/14 12:07:22 AM ERROR [43.92.136:85] .i2ptunnel.I2PTunnelHTTPServer: Uncaught exception accepting
     478/28/14 12:07:22 AM ERROR [xxx] .i2ptunnel.I2PTunnelHTTPServer: Uncaught exception accepting
    4848     java.lang.ArrayIndexOutOfBoundsException
    4949     at net.i2p.client.streaming.impl.Packet.writePacket(Packet.java:484)
     
    5959     at java.lang.Thread.run(Thread.java:745)
    6060     at net.i2p.util.I2PThread.run(I2PThread.java:84)
    61 8/28/14 12:07:22 AM ERROR [43.92.136:85] p.client.streaming.impl.Packet: payload.length: 396 buffer.length: 1197 cur: 929
     618/28/14 12:07:22 AM ERROR [xxx] p.client.streaming.impl.Packet: payload.length: 396 buffer.length: 1197 cur: 929
    6262     java.lang.ArrayIndexOutOfBoundsException
    6363     at net.i2p.client.streaming.impl.Packet.writePacket(Packet.java:484)